Skip to content

Corporate identity

All API areas

Use the linked wire models for field constraints. Operation metadata does not enumerate every possible HTTP error or replace current server authorization.

On this page

List

HTTP
GET /api/v1/tenants/{tenant_id}/identity/providers

Contract operation: CorporateIdentityController.list.

SDK Method
Python identity_providers
TypeScript identity.list
Java client.identity.list

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
kind query QueryParam[str | None] No null
status query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema IdentityProviderPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Create

HTTP
POST /api/v1/tenants/{tenant_id}/identity/providers

Contract operation: CorporateIdentityController.create.

SDK Method
Python create_identity_provider
TypeScript identity.create
Java client.identity.create

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityProviderInput]] Yes Not specified

Request and response

Contract Value
Request schema IdentityProviderInput
Response schema IdentityProvider
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Get

HTTP
GET /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}

Contract operation: CorporateIdentityController.get.

SDK Method
Python identity_provider
TypeScript identity.get
Java client.identity.get

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema IdentityProvider
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update

HTTP
PATCH /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}

Contract operation: CorporateIdentityController.update.

SDK Method
Python update_identity_provider
TypeScript identity.update
Java client.identity.update

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityProviderPatch]] Yes Not specified

Request and response

Contract Value
Request schema IdentityProviderPatch
Response schema IdentityProvider
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Test

HTTP
POST /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/test

Contract operation: CorporateIdentityController.test.

SDK Method
Python test_identity_provider
TypeScript identity.test
Java client.identity.test

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityRevision]] Yes Not specified

Request and response

Contract Value
Request schema IdentityRevision
Response schema IdentityValidation
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Test status

HTTP
GET /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/tests/{validation_id}

Contract operation: CorporateIdentityController.test_status.

SDK Method
Python identity_test_status
TypeScript identity.testStatus
Java client.identity.testStatus

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
validation_id path PathVar[str] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema IdentityValidation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Groups

HTTP
GET /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/groups

Contract operation: CorporateIdentityController.groups.

SDK Method
Python identity_groups
TypeScript identity.groups
Java client.identity.groups

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
limit query QueryParam[int] No 25
after query QueryParam[str] No ""

Request and response

Contract Value
Request schema No request schema declared
Response schema IdentityGroupPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Mappings

HTTP
GET /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/mappings

Contract operation: CorporateIdentityController.mappings.

SDK Method
Python identity_mappings
TypeScript identity.mappings
Java client.identity.mappings

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
q query QueryParam[str] No ""
status query QueryParam[str] No "all"
workspace_id query QueryParam[str | None] No null
page query QueryParam[int] No 1
page_size query QueryParam[int] No 25

Request and response

Contract Value
Request schema No request schema declared
Response schema IdentityMappingPage
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Mapping create

HTTP
POST /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/mappings

Contract operation: CorporateIdentityController.mapping_create.

SDK Method
Python create_identity_mapping
TypeScript identity.createMapping
Java client.identity.createMapping

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityMappingInput]] Yes Not specified

Request and response

Contract Value
Request schema IdentityMappingInput
Response schema IdentityMapping
Success status 201
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Mapping update

HTTP
PATCH /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/mappings/{mapping_id}

Contract operation: CorporateIdentityController.mapping_update.

SDK Method
Python update_identity_mapping
TypeScript identity.updateMapping
Java client.identity.updateMapping

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
mapping_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityMappingInput]] Yes Not specified

Request and response

Contract Value
Request schema IdentityMappingInput
Response schema IdentityMapping
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Mapping remove

HTTP
DELETE /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/mappings/{mapping_id}

Contract operation: CorporateIdentityController.mapping_remove.

SDK Method
Python remove_identity_mapping
TypeScript identity.removeMapping
Java client.identity.removeMapping

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
mapping_id path PathVar[str] Yes Not specified
expected_revision query QueryParam[int] Yes Not specified

Request and response

Contract Value
Request schema No request schema declared
Response schema No response body
Success status 204
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Activate

HTTP
POST /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/activate

Contract operation: CorporateIdentityController.activate.

SDK Method
Python activate_identity_provider
TypeScript identity.activate
Java client.identity.activate

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityActivation]] Yes Not specified

Request and response

Contract Value
Request schema IdentityActivation
Response schema IdentityProvider
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Disable

HTTP
POST /api/v1/tenants/{tenant_id}/identity/providers/{provider_id}/disable

Contract operation: CorporateIdentityController.disable.

SDK Method
Python disable_identity_provider
TypeScript identity.disable
Java client.identity.disable

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
provider_id path PathVar[str] Yes Not specified
body body Valid[Body[IdentityRevision]] Yes Not specified

Request and response

Contract Value
Request schema IdentityRevision
Response schema IdentityProvider
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Presentation

HTTP
GET /api/v1/tenants/{tenant_id}/organization/people/me/presentation

Contract operation: CorporateProfilesController.presentation.

SDK Method
Python organization_presentation
TypeScript corporateProfiles.presentation
Java client.corporateProfiles.presentation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema No request schema declared
Response schema OrganizationPresentation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Update presentation

HTTP
PATCH /api/v1/tenants/{tenant_id}/organization/people/me/presentation

Contract operation: CorporateProfilesController.update_presentation.

SDK Method
Python update_organization_presentation
TypeScript corporateProfiles.updatePresentation
Java client.corporateProfiles.updatePresentation

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[OrganizationPresentationInput]] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema OrganizationPresentationInput
Response schema OrganizationPresentation
Success status 200
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Refresh self

HTTP
POST /api/v1/tenants/{tenant_id}/organization/people/me/profile-refresh

Contract operation: CorporateProfilesController.refresh_self.

SDK Method
Python refresh_organization_profile
TypeScript corporateProfiles.refreshSelf
Java client.corporateProfiles.refreshSelf

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
body body Valid[Body[CorporateProfileRefreshInput]] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema CorporateProfileRefreshInput
Response schema CorporateProfileRefresh
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.

Refresh person

HTTP
POST /api/v1/tenants/{tenant_id}/organization/people/{person_id}/profile-refresh

Contract operation: CorporateProfilesController.refresh_person.

SDK Method
Python refresh_organization_person_profile
TypeScript corporateProfiles.refreshPerson
Java client.corporateProfiles.refreshPerson

Parameters

These are the declared path, query and body arguments. Multipart and binary inputs are described by their request schema below. SDK argument names may follow each language’s conventions.

Name Location Declared type Required Default
tenant_id path PathVar[str] Yes Not specified
person_id path PathVar[str] Yes Not specified
body body Valid[Body[CorporateProfileRefreshInput]] Yes Not specified
workspace_id query QueryParam[str | None] No null

Request and response

Contract Value
Request schema CorporateProfileRefreshInput
Response schema CorporateProfileRefresh
Success status 202
Declared encoding application/json

Encoding identifies the upload, stream or download format when applicable; otherwise it is JSON. It is not a declaration that a GET request has a body.

Headers

No operation-specific headers are declared in the canonical metadata.

Authentication and resource bounds still apply. See request behavior and the SDK runtime reference.